from distutils.core import setup
from distutils.extension import Extension
from Cython.Build import cythonize

extensions = [
    Extension(
        "kdtree",
        language="c++",
        define_macros=[("NPY_NO_DEPRECATED_API", "NPY_1_7_API_VERSION")],
        sources=["kdtree.pyx"],
        libraries=["crypto", "fmt"],
    ),
]

setup(
    ext_modules=cythonize(extensions)
)
